#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		majorver	%(echo %{version} | cut -d '.' -f1).0
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-pygobject
Version		:	3.46.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Provides Python 3 bindings to the GObject class from GLib

Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL

URL		:	http://ftp.gnome.org/pub/gnome/sources/pygobject

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	automake
BuildRequires	:	autoconf
BuildRequires	:	cairo-gobject-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	meson
BuildRequires	:	ninja

BuildRequires	:	%{__python}
BuildRequires	:	python3-pycairo

Requires	:	%{__python}
#-----------------------------------------------------------------------------
%description
PyGObject is a Python package which provides bindings for GObject based
libraries such as GTK+, GStreamer, WebKitGTK+, GLib, GIO and many more.

It supports Linux, Windows and macOS and works with Python 3.5+
PyPy and PyPy3. PyGObject, including this documentation,
is licensed under the LGPLv2.1+.

If you want to write a Python application for GNOME or a Python GUI
application using GTK+, then PyGObject is the way to go. For more
information on specific libraries check out the "Python GTK+ 3 Tutorial"
and the "Python GI API Reference".

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS README.rst
%{_includedir}/%{sname}-%{majorver}/%{sname}.h
%{_libdir}/pkgconfig/%{sname}*.pc
%{python3_sitelib}/gi/*.py
%{python3_sitelib}/gi/__pycache__/*.pyc
%{python3_sitelib}/gi/repository/*.py
%{python3_sitelib}/gi/repository/__pycache__/*.pyc
%{python3_sitelib}/gi/overrides/*.py
%{python3_sitelib}/gi/overrides/__pycache__/*.pyc
%{python3_sitelib}/pygtkcompat/*.py
%{python3_sitelib}/pygtkcompat/__pycache__/*.pyc
%{python3_sitelib}/gi/_gi*.so
%{python3_sitelib}/PyGObject-%{version}.egg-info

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D python=%{__python}				\
	_bld

meson							\
	compile						\
		-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

meson							\
	install						\
		-C _bld					\
		--destdir %{buildroot}

#-----------------------------------------------------------------------------
%changelog
